Generate financial reports

Generates comprehensive financial statements for an entity, including balance sheet, income statement, and cash flow statement

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

entityIdstringRequired
The ID of the entity to generate reports for
monthintegerOptional1-12

Month number (1-12) for the report period

yearintegerOptional

Year for the report period (e.g., 2024)

startDatestringOptionalformat: "date-time"

Start date for filtering transactions (ISO 8601 format)

endDatestringOptionalformat: "date-time"

End date for filtering transactions (ISO 8601 format, defaults to current date)

typeenumOptional
Type of report to generate
Allowed values:
ledgerIdstringOptional

Optional ledger ID (if not provided, will use entityId)

Response

Reports generated successfully
reportPeriodobject
balanceSheetobject
incomeStatementobject
cashFlowStatementobject
reconciliationobject
accountHierarchylist of any
Hierarchical structure of all accounts
pdf_urlsobject

Errors

400
Bad Request Error
404
Not Found Error
500
Internal Server Error